Subject: RE: [Isis-wg] Regarding document for best current practices

From: Les Ginsberg <[email-masked]>
Date: Tue, 8 Jan 2002 11:44:24 -0800

In the work plan in ISO SC6/WG7 which produced the revised 10589:2001 spec,
there was a Phase 2 specified which was aimed at producing a document which
covered changes to the protocol introduced in the IP world. The exact form
this was to take was never agreed upon, the idea was floated on this list
(by me) with a rather tepid response. As the 10589 revision work progressed,
it became clear to me that ISO was the wrong place for this Phase 2 work to
take place - if it was going to take place at all it needed to be driven by
the community which was driving the evolution of the protocol.

In my view, what is needed is not a BCP document, but rather a new version
of RFC 1195. This would not need to supplant existing RFCs describing
protocol extensions, but it should at a minimum correct inaccuracies and
obsolete items in 1195, and hopefully go on to define extensions to the
protocol which have become common practice but have never been documented -
and have interoperability issues. The MAXAGE issue is a minor example - as
Mike Shand's keen eye has demonstrated - a strictly conformant
implementation based on 10589 would reject LSPs with a lifetime > 1200. The
fact that no one seems to do this does not diminish the need for having a
document that clearly states this.

It is a good thing that the way this group works tries to be responsive to
real world (AKA customer) requirements. It is not a good thing when protocol
extensions are made and left purely to word-of-mouth/reverse engineering
style documentation.

Given the extension of ISIS for IP into the formerly OSI only world of
SONET, the need for formalizing protocol extensions becomes even greater -
else we will end up with multiple/non-interoperable solutions.

I would love to believe that a meaningful liason between IETF/ISO/ITU
regarding IS-IS could be achieved, since that would allow all the interested
communities to participate in the evolution of the protocol - but having
spent a fair amount of effort trying to make that happen, I am not
optimistic. (No disrespect to a number of interested parties who were
supportive along the way).
Jeff Learman's comments below are pretty much on the mark - but if there is
sufficient interest in addressing things, I will be a willing participant.

   Les

> -----Original Message-----
> From: Jeff Learman [mailto:[email-masked]]
> Sent: Tuesday, January 08, 2002 8:49 AM
> To: Manral, Vishwas
> Cc: 'Dave Katz'; [email-masked]; [email-masked]
> Subject: Re: [Isis-wg] Regarding document for best current practices
> 
> 
> 
> Vishwas,
> 
> You repeated your request for a new document on IS-IS, either a
> compendium of best practices or a new spec that describes Integrated
> IS-IS.  One response I saw was that there weren't many discrepancies
> between spec and practice, and that most "best practices" were matters
> of implementation, not specification.
> 
> I suspect that there are things that would be good to 
> document, and perhaps
> padding of IIHs is one.  If you were to go over the list of 
> potential issues
> and present it, it might generate some interest.  I doubt 
> that this is work
> that anyone is eager to take on out of public interest, but if you are
> willing to drive the work, I'm sure you would get lots of feedback ;-)
> 
> Concerning creating a new spec that combines ISO 10589 and RFC-1195,
> this sure would be nice for those trying to learn integrated IS-IS
> and newcomers to the field.  However, there are significant issues:
> 
>   1.  It would be a lot of hard work.
> 
>   2.  Any new wording of these specs would create new 
> ambiguity problems.
>       Which spec would be the definitive one?  Would the new 
> document be
>       definitive or just descriptive?
> 
>   3.  There would be a temptation to "fix" things, which 
> would be a disaster.
>       If there is any new text, it should start out with the 
> intention of
>       being identical in meaning to the previous specs.  
> Unfortunately,
>       this would make it less helpful and clear for the IP-only crowd.
>       But at least, it could be used as a starting point, so that any
>       changes could be written against it, and therefore anyone could
>       tell what changed between two subsequent versions.
> 
> All of these issues could be worked through, if there is 
> enough commitment
> among all players.  But I doubt that we will find this kind 
> of commitment,
> and I question whether the result would justify the amount of work and
> haggling that would be required.
> 
> Alternatively, someone could write a good book on implementing IS-IS.
> They'd probably sell upwards of 50 copies ;-)
> 
> Regards,
> Jeff
> 
> Disclaimer: This is my opinion.  I do not represent Cisco in this
> forum and I have never worked on IS-IS at Cisco.
> 
> At 10:34 AM 1/2/2002, Manral, Vishwas wrote:
> >Dave,
> >
> >Changed the subject line to actually reflect the contents of 
> the discussion.
> >
> >No matter how small the difference, don't you think it would 
> be good to
> >document it somewhere(may be, "not all that sticky" issues, could be
> >documented too)?
> >
> >To think of it, wouldn't it be nice, if we could actually have an
> >informational document(all ISIS work in IETF is 
> informational anyway, I
> >guess) which could talk about ISIS for IP specifically. This 
> could talk
> >about the entire protocol(instead of a delta with the ISO spec as in
> >RFC1195) and could incorporate the best current practices. 
> >
> >Would there be any interest in the group for this kind of a 
> document? I
> >personally feel it would be a good idea, and would help in easier
> >understanding and better implementation of ISIS(atleast for 
> those who are
> >not all that well versed). I have no idea of the IETF/ISO 
> laison though.(I
> >tried to check if this thing had been raised before in the 
> mailing list
> >couldn't find it)
> >
> >Thanks,
> >Vishwas
> >
> >
> >---------------------------------------------------------------------
> >I think the number of things that are done in practical conflict with
> >the spec is vanishingly small, where "practical conflict" is
> >interpreted as "a reasonable implementation would notice."
> >Excessively pedantic boxes have a way of fixing themselves one way or
> >another.
> >
> >Most of these things are pretty obvious to anyone reasonably 
> versed in
> >the art, though the potentially sticky ones (like not bothering with
> >ISHs) should probably be documented.
> >
> >--Dave
> >_______________________________________________
> >Isis-wg mailing list  -  [email-masked]
> >http://external.juniper.net/mailman/listinfo/isis-wg
> 
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: Tony Przygienda <[email-masked]>
Date: Wed, 09 Jan 2002 01:07:13 -0800

>the community which was driving the evolution of the protocol.

Modulo Tony Li's opinion, if we see enough cycles of cluefull people 
being committed to make an update
of RFC1195 happen, that's something that can be talked about. Reality of 
things being that we have a set
of RFCs (or should have, the guys upstairs are taking their time) that 
albeit informational pretty well document
what it out there today. Split RFCs allow to move fast but do not make 
for such a nice reading as a single
1195 (or OSPF spec for that matter ;-) of course.  More RFCs are 
obviously needed along the lines of
max-age restrictions or hello padding practices and there is nothing 
that stops people from writing them.

    thanks

    -- tony

---

From: Tony Li <[email-masked]>
Date: Wed, 9 Jan 2002 00:51:01 -0800

| Modulo Tony Li's opinion, if we see enough cycles of cluefull people 
 | being committed to make an update of RFC1195 happen, that's something
 | that can be talked about. 

No disagreement.  However, folks should understand that it will still be
informational.

Tony

---

From: "Jim Fleming" <[email-masked]>
Date: Wed, 9 Jan 2002 10:04:34 -0800

----- Original Message -----
From: "Les Ginsberg" <[email-masked]>
> extensions are made and left purely to word-of-mouth/reverse engineering

I doubt that customers will want to read (1970's vintage) nroff ASCII
documents.

Do you use a 2002 prefix ?
http://www.dot-biz.com/INFO/Papers/

Jim Fleming
2002:[IPv4]:000X:03DB
http://www.IPv8.info